<?
require "include/bittorrent.php";
dbconn(false);

if (get_user_class() < UC_USER)
stderr("Fehler", "Zugriff verweigert.");

stdhead("Die Top 5");

//Start der letzten Mitglieder

$sql = "SELECT * FROM users where status='confirmed' AND enabled='yes' ORDER BY added DESC LIMIT 5";
$result = mysql_query($sql) or die('Keine Mitglieder vorhanden');
if( mysql_num_rows($result) != 0 )
{
begin_frame("Die letzten 5 Mitglieder");
print'<table width=100% border=1 cellspacing=0 cellpadding=5>';
print'<tr>';
print"<td class=tabletitle>Name</td>";
print'<td class=tabletitle>Registriert</td>';
print'<td class=tabletitle>Letzter Login</td>';
print'</tr>';

while( $row = mysql_fetch_assoc($result) )
{
print'<tr>';
print'<a href="/userdetails.php?id=' . $row['id'] . '&hit=1"><td><a href="/userdetails.php?id=' . $row['id'] . '&hit=1"><b><font>' . $row['username'] . '</font></b></td></a>';
print'<td align=left>&nbsp;&nbsp;&nbsp;&nbsp;' . $row['added'] . '</td>';
print'<td align=left>&nbsp;&nbsp;&nbsp;&nbsp;' . $row['last_login'] . '</td>';

print'</tr>';
}
print '</table>';
}
else
{
print 'Keine Mitglieder vorhanden';
}
end_frame();
//Ende der letzten Mitglieder



//Start der letzten gesperrten Mitglieder

$sql = "SELECT * FROM users where enabled='no' ORDER BY last_login DESC LIMIT 5";
$result = mysql_query($sql) or die('Keine Mitglieder gesperrt');
if( mysql_num_rows($result) != 0 )
{
begin_frame("Die zuletzt gesperrten 5 Mitglieder");
print'<table width=100% border=1 cellspacing=0 cellpadding=5>';
print'<tr>';
print"<td class=tabletitle>Name</td>";
print'<td class=tabletitle>Registriert</td>';
print'<td class=tabletitle>Letzter Login</td>';
print'</tr>';

while( $row = mysql_fetch_assoc($result) )
{
print'<tr>';
print'<a href="/userdetails.php?id=' . $row['id'] . '&hit=1"><td><a href="/userdetails.php?id=' . $row['id'] . '&hit=1"><b><font>' . $row['username'] . "</font></b></a>" . ($row["enabled"] == "no" ? "<img src=" . "pic/disabled.gif alt=\"Gebannt\">" : "");
print'<td align=left>&nbsp;&nbsp;&nbsp;&nbsp;' . $row['added'] . '</td>';
print'<td align=left>&nbsp;&nbsp;&nbsp;&nbsp;' . $row['last_login'] . '</td>';

print'</tr>';
}
print '</table>';
}
else
{
print 'Keine Mitglieder gesperrt';
}

//Ende der letzten gesperrten Mitglieder


//Start der letzten Torrents

$sql = "SELECT * FROM torrents where activated='yes' ORDER BY added DESC LIMIT 5";
$result = mysql_query($sql) or die('Keine Torrents gefunden');
if( mysql_num_rows($result) != 0 )
{
begin_frame("Die neuesten 5 Torrents");
print'<table width=100% border=1 cellspacing=0 cellpadding=5>';
print'<tr>';
print"<td class=tabletitle>Torrent</td>";
print'<td class=tabletitle>Seeders</td>';
print'<td class=tabletitle>Leechers</td>';
print'</tr>';

while( $row = mysql_fetch_assoc($result) )
{
print'<tr>';
print'<a href="/details.php?id=' . $row['id'] . '&hit=1"><td><a href="/details.php?id=' . $row['id'] . '&hit=1"><b><font>' . $row['name'] . '</font></b></td></a>';
print'<td align=left>&nbsp;&nbsp;&nbsp;&nbsp;' . $row['seeders'] . '</td>';
print'<td align=left>&nbsp;&nbsp;&nbsp;&nbsp;' . $row['leechers'] . '</td>';

print'</tr>';
}
print '</table>';
}
else
{
print 'Keine Torrents gefunden';
}
end_frame();
//Ende der letzten Torrents

stdfoot();
die;